MIX_LoadAudio(3)

NAME
MIX_LoadAudio - Load audio for playback from a file.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

MIX_Audio * MIX_LoadAudio(MIX_Mixer *mixer, const char *path, bool predecode);

DESCRIPTION
This is equivalent to calling:

        MIX_LoadAudio_IO(mixer, SDL_IOFromFile(path, "rb"), predecode, true);

This function loads data from a path on the filesystem. There is also a version that loads from an SDL_IOStream (MIX_LoadAudio_IO()), and one that accepts properties for ultimate control (MIX_LoadAudioWithProperties()).

FUNCTION PARAMETERS

mixer
    a mixer this audio is intended to be used with. May be NULL.

path
    the path on the filesystem to load data from.

predecode
    if true, data will be fully uncompressed before returning.

RETURN VALUE
Returns an audio object that can be used to make sound on a mixer, or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_DestroyAudio(3), MIX_SetTrackAudio(3), MIX_LoadAudio_IO(3), MIX_LoadAudioWithProperties(3)